<?xml version="1.0" encoding="utf-8"?>
<androidx.coordinatorlayout.widget.CoordinatorLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <com.google.android.material.appbar.AppBarLayout
        android:id="@+id/subject_appbar"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/background_white"
        android:gravity="center"
        app:layout_behavior=".common.view.FixAppBarLayoutBehavior">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/subject_type_list"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:layout_scrollFlags="scroll|enterAlwaysCollapsed" />

        <LinearLayout
            android:id="@+id/subject_filter_container"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="12dp"
            android:layout_marginBottom="16dp"
            android:background="@drawable/subject_tiled_tab_background">

            <CheckedTextView
                android:id="@+id/subject_tabbar_hottest"
                android:layout_width="wrap_content"
                android:layout_height="24dp"
                android:background="@drawable/subject_tiled_tab_selector"
                android:checked="true"
                android:gravity="center"
                android:paddingLeft="24dp"
                android:paddingRight="24dp"
                android:text="最热"
                android:textAlignment="center"
                android:textColor="@color/subject_tiled_tab_color_selector"
                android:textSize="12sp" />

            <CheckedTextView
                android:id="@+id/subject_tabbar_newest"
                android:layout_width="wrap_content"
                android:layout_height="24dp"
                android:background="@drawable/subject_tiled_tab_selector"
                android:checked="false"
                android:gravity="center"
                android:paddingLeft="24dp"
                android:paddingRight="24dp"
                android:text="最新"
                android:textAlignment="center"
                android:textColor="@color/subject_tiled_tab_color_selector"
                android:textSize="12sp" />
        </LinearLayout>

    </com.google.android.material.appbar.AppBarLayout>

    <FrameLayout
        android:id="@+id/subject_content_rl"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        app:layout_behavior="@string/appbar_scrolling_view_behavior" />

</androidx.coordinatorlayout.widget.CoordinatorLayout>